For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all properties
        • GETGet a property by ID
        • GETGet all rentable items
        • GETGet rentable item by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManProperties

Get all properties

GET
/v1/properties/
GET
/v1/properties/
$curl https://api.propexo.com/v1/properties/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "address_1": "123 Main St",
14 "address_2": null,
15 "associated_owner_ids": [
16 "string"
17 ],
18 "building_number": null,
19 "city": "Boston",
20 "code": null,
21 "country": null,
22 "county": null,
23 "created_at": "2024-03-21T15:38:08.337Z",
24 "custom_data": {},
25 "id": "clwktsp9v000008l31iv218hn",
26 "integration_id": "clwh5u07w000508me66sfh3um",
27 "integration_vendor": "RESMAN",
28 "is_active": null,
29 "last_seen": "2024-03-22T10:59:45.119Z",
30 "long_description": "A water front luxury apartment building on the beautiful Mississippi River.",
31 "manager_email": "string",
32 "manager_name": "string",
33 "manager_phone_1": "string",
34 "manager_phone_1_type": null,
35 "manager_phone_2": null,
36 "manager_phone_2_type": null,
37 "name": "string",
38 "notes": null,
39 "number_of_units": null,
40 "office_hours": {
41 "0": {
42 "day_of_week": "MONDAY",
43 "open_time": "08:00",
44 "close_time": "15:00"
45 },
46 "close_time": "15:00",
47 "day_of_week": "MONDAY",
48 "open_time": "08:00"
49 },
50 "pet_types": [
51 {
52 "name": "Reptile",
53 "is_allowed": true,
54 "description": "Only one lizard.",
55 "notes": "string",
56 "deposit_raw": "30",
57 "deposit_in_cents": 300,
58 "fee_raw": "30",
59 "fee_in_cents": 3000,
60 "fee_min_raw": "30",
61 "fee_min_in_cents": 3000,
62 "fee_max_raw": "30",
63 "fee_max_in_cents": 3000,
64 "rent_amount_raw": "30",
65 "rent_amount_in_cents": 3000
66 }
67 ],
68 "property_id": "clwi5xiix000008l6ctdgafyh",
69 "short_description": "A short description of the property",
70 "square_feet": 1,
71 "state": "MA",
72 "type_normalized": null,
73 "type_raw": null,
74 "updated_at": "2024-03-22T10:59:45.119Z",
75 "website": "https://example.com/",
76 "x_building_id": null,
77 "x_created_at": null,
78 "x_id": "ba6373a9-6e1d-441b-8ed7-9d40f7d166b0",
79 "x_property_id": "ba6373a9-6e1d-441b-8ed7-9d40f7d166b0",
80 "year_built": null,
81 "zip": "02116",
82 "square_footage": null,
83 "street_address_1": "string",
84 "street_address_2": null,
85 "type": null
86 }
87 ]
88}
Get all properties
Was this page helpful?
Previous

Get a property by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external property id
x_property_idstringOptional

Deprecated: Use x_id instead

location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

integration_idstringOptional
The Propexo integration id
integration_vendorenumOptional
The integration vendor for the property.
is_activeboolean or string or nullOptional
Active status of the property in the PMS. Please note this is a separate value to the property's status in Propexo which can be fetched using the 'Get all my property configurations' endpoint.

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error